Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query.impl
Class SimpleClauseTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.ebxml._2._1.query.impl.SimpleClauseTypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, SimpleClauseType

    public class SimpleClauseTypeImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements SimpleClauseType

An implementation of the model object 'Simple Clause Type'.

The following features are implemented:

- `Boolean Clause`
- `Rational Clause`
- `String Clause`
- `Left Argument`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetBooleanClause(BooleanClauseType newBooleanClause, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRationalClause(RationalClauseType newRationalClause, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetStringClause(StringClauseType newStringClause, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`BooleanClauseType` | `getBooleanClause()`
`java.lang.String` | `getLeftArgument()`
`RationalClauseType` | `getRationalClause()`
`StringClauseType` | `getStringClause()`
`void` | `setBooleanClause(BooleanClauseType newBooleanClause)`
`void` | `setLeftArgument(java.lang.String newLeftArgument)`
`void` | `setRationalClause(RationalClauseType newRationalClause)`
`void` | `setStringClause(StringClauseType newStringClause)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getBooleanClause

    public BooleanClauseType getBooleanClause()

  Specified by:
    `getBooleanClause` in interface `SimpleClauseType`
  Returns:
    the value of the 'Boolean Clause' containment reference.
  See Also:
    `SimpleClauseType.setBooleanClause(BooleanClauseType)`, `QueryPackage.getSimpleClauseType_BooleanClause()`

### basicSetBooleanClause

    public org.eclipse.emf.common.notify.NotificationChain basicSetBooleanClause(BooleanClauseType newBooleanClause,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

### setBooleanClause

    public void setBooleanClause(BooleanClauseType newBooleanClause)

  Specified by:
    `setBooleanClause` in interface `SimpleClauseType`
  Parameters:
    `newBooleanClause` - the new value of the 'Boolean Clause' containment reference.
  See Also:
    `SimpleClauseType.getBooleanClause()`

### getRationalClause

    public RationalClauseType getRationalClause()

  Specified by:
    `getRationalClause` in interface `SimpleClauseType`
  Returns:
    the value of the 'Rational Clause' containment reference.
  See Also:
    `SimpleClauseType.setRationalClause(RationalClauseType)`, `QueryPackage.getSimpleClauseType_RationalClause()`

### basicSetRationalClause

    public org.eclipse.emf.common.notify.NotificationChain basicSetRationalClause(RationalClauseType newRationalClause,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### setRationalClause

    public void setRationalClause(RationalClauseType newRationalClause)

  Specified by:
    `setRationalClause` in interface `SimpleClauseType`
  Parameters:
    `newRationalClause` - the new value of the 'Rational Clause' containment reference.
  See Also:
    `SimpleClauseType.getRationalClause()`

### getStringClause

    public StringClauseType getStringClause()

  Specified by:
    `getStringClause` in interface `SimpleClauseType`
  Returns:
    the value of the 'String Clause' containment reference.
  See Also:
    `SimpleClauseType.setStringClause(StringClauseType)`, `QueryPackage.getSimpleClauseType_StringClause()`

### basicSetStringClause

    public org.eclipse.emf.common.notify.NotificationChain basicSetStringClause(StringClauseType newStringClause,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

### setStringClause

    public void setStringClause(StringClauseType newStringClause)

  Specified by:
    `setStringClause` in interface `SimpleClauseType`
  Parameters:
    `newStringClause` - the new value of the 'String Clause' containment reference.
  See Also:
    `SimpleClauseType.getStringClause()`

### getLeftArgument

    public java.lang.String getLeftArgument()

  Specified by:
    `getLeftArgument` in interface `SimpleClauseType`
  Returns:
    the value of the 'Left Argument' attribute.
  See Also:
    `SimpleClauseType.setLeftArgument(String)`, `QueryPackage.getSimpleClauseType_LeftArgument()`

### setLeftArgument

    public void setLeftArgument(java.lang.String newLeftArgument)

  Specified by:
    `setLeftArgument` in interface `SimpleClauseType`
  Parameters:
    `newLeftArgument` - the new value of the 'Left Argument' attribute.
  See Also:
    `SimpleClauseType.getLeftArgument()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD